@extends('admin::curd.index')
@section('heading')
<i class="fa fa-file-text-o"></i> {!! trans('categories::category.name') !!} <small> {!! trans('cms.manage') !!} {!! trans('categories::category.names') !!}</small>
@stop

@section('title')
{!! trans('categories::category.names') !!}
@stop

@section('breadcrumb')
<ol class="breadcrumb">
    <li><a href="http://lavalite.org/admin"><i class="fa fa-dashboard"></i> {!! trans('cms.home') !!} </a></li>
    <li class="active">{!! trans('categories::category.names') !!}</li>
</ol>
@stop

@section('entry')
<div class="box box-warning" id='entry-category'>
</div>
@stop

@section('tools')
@stop

@section('content')
<table id="main-list" class="table table-striped table-bordered">
    <thead>
        <th>{!! trans('categories::category.label.code')!!}</th>
                        <th>{!! trans('categories::category.label.name')!!}</th>
                        <th>{!! trans('categories::category.label.description')!!}</th>
    </thead>
</table>
@stop
@section('script')
<script type="text/javascript">

var oTable;
$(document).ready(function(){
    $('#entry-category').load('{!!URL::to('admin/categories/category/0')!!}');
    oTable = $('#main-list').dataTable( {
        "ajax": '{!! URL::to('/admin/categories/category') !!}',
        "columns": [
            {data :'code'},
                        {data :'name'},
                        {data :'description'},
        ],
        "categoryLength": 50
    });

    $('#main-list tbody').on( 'click', 'tr', function () {
        $(this).toggleClass("selected").siblings(".selected").removeClass("selected");

        var d = $('#main-list').DataTable().row( this ).data();

        $('#entry-category').load('{!!URL::to('admin/categories/category')!!}' + '/' + d.id);

    });
});
</script>
@stop

@section('style')
@stop